package com.hssx.bms.controller;


import com.hssx.bms.entity.SystemUser;
import com.hssx.bms.service.SystemUserService;
import com.hssx.bms.until.HttpRespMsg;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseBody;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author 吴涛涛
 * @since 2019-10-15
 */
@Controller
@RequestMapping("/system")
public class SystemUserController {
    @Autowired
    private SystemUserService systemUserService;

    /**
     * 系统管理员及教育机构登录
     * @param user
     * 参数：account 账号 password 密码
     * @return
     */
    @ApiOperation(value = "系统管理员及教育机构登录", notes = "登录方法")
    @RequestMapping("/login")
    @ResponseBody
    public HttpRespMsg sysLogin(SystemUser user, HttpServletRequest request,
                                HttpServletResponse response) {
        HttpRespMsg msg = systemUserService.login(user,request);
        return msg;
    }

    /**
     * 系统管理员及教育机构登录
     * @param user
     * 参数：id 当前用户id  password 新密码
     * @return
     */
    @ApiOperation(value = "系统管理员及教育机构修改密码", notes = "修改密码方法")
    @RequestMapping("/updatePwd")
    @ResponseBody
    public HttpRespMsg updatePwd(SystemUser user){
        HttpRespMsg msg = new HttpRespMsg();
        msg.data = systemUserService.updateById(user);
        return msg;
    }

}

