package com.hssx.bms.controller;


import com.hssx.bms.entity.SystemUser;
import com.hssx.bms.entity.UserAppointment;
import com.hssx.bms.entity.vo.UserAppointmentVO;
import com.hssx.bms.service.UserAppointmentService;
import com.hssx.bms.until.HttpRespMsg;
import com.hssx.bms.until.PageUtil;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.web.bind.annotation.ResponseBody;
import org.springframework.web.bind.annotation.RestController;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author 吴涛涛
 * @since 2019-10-21
 */
@Controller
@RequestMapping("/userappointment")
public class UserAppointmentController {
    @Autowired
    private UserAppointmentService userAppointmentService;
    /**
     * 预约用户列表
     * 参数：id:当前登录人的id
     * @return
     */
    @ApiOperation(value = "预约用户列表", notes = "预约用户列表方法")
    @RequestMapping("/list")
    @ResponseBody
    public HttpRespMsg list(SystemUser user,PageUtil page) {
        HttpRespMsg msg = userAppointmentService.getAppointmentList(user,page);
        return msg;
    }

    /**
     * 接受/修改时间接口
     * 参数：id:该条预约数据的id
     * stage：1-接受
     * timeDate：修改的时间(不修改不传)
     * time:0-上午 1-下午（非必传）
     * @return
     */
    @ApiOperation(value = "接受/修改时间接口", notes = "接受/修改时间接口方法")
    @RequestMapping("/acceptAndUpdateDate")
    @ResponseBody
    public HttpRespMsg acceptAndUpdateDate(UserAppointmentVO userAppointmentVO) {
        HttpRespMsg msg = userAppointmentService.acceptAndUpdateDate(userAppointmentVO);
        return msg;
    }

}

