package com.hssx.bms.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.annotation.JsonFormat;

import java.io.Serializable;

/**
 * <p>
 * 
 * </p>
 *
 * @author 吴涛涛
 * @since 2019-10-22
 */
public class InstitutionalInformation extends Model<InstitutionalInformation> {

    private static final long serialVersionUID=1L;

    /**
     * 机构信息表主键
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 机构名称
     */
    @TableField("name")
    private String name;

    /**
     * 电话
     */
    @TableField("phone")
    private String phone;

    /**
     * 地址
     */
    @TableField("address")
    private String address;

    /**
     * 系统用户表关联主键
     */
    @TableField("sys_id")
    private Integer sysId;

    /**
     * 经度
     */
    @TableField("lng")
    private String lng;

    /**
     * 纬度
     */
    @TableField("lat")
    private String lat;

    /**
     * 上午上课时间
     */
    @TableField("am_time")
    private String amTime;

    /**
     * 下午上课时间
     */
    @TableField("pm_time")
    private String pmTime;

    /**
     * 简介图片地址
     */
    @TableField("brief_introduction_pic")
    private String briefIntroductionPic;

    /**
     * 机构简介说明
     */
    @TableField("brief_introduction")
    private String briefIntroduction;

    /**
     * 课程特色
     */
    @TableField("class_advantages")
    private String classAdvantages;

    /**
     * 时间
     */
    @TableField("indate")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private LocalDateTime indate;

    /**
     * 标签
     */
    @TableField("head_introduction")
    private String headIntroduction;

    /**
     * 是否删除 0-未删除 1-已删除
     */
    @TableField("is_delete")
    private Integer isDelete;

    /**
     * 收费标准
     */
    @TableField("charging_standard")
    private String chargingStandard;

    /**
     * 城市
     */
    @TableField("city")
    private String city;


    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public Integer getSysId() {
        return sysId;
    }

    public void setSysId(Integer sysId) {
        this.sysId = sysId;
    }

    public String getLng() {
        return lng;
    }

    public void setLng(String lng) {
        this.lng = lng;
    }

    public String getLat() {
        return lat;
    }

    public void setLat(String lat) {
        this.lat = lat;
    }

    public String getAmTime() {
        return amTime;
    }

    public void setAmTime(String amTime) {
        this.amTime = amTime;
    }

    public String getPmTime() {
        return pmTime;
    }

    public void setPmTime(String pmTime) {
        this.pmTime = pmTime;
    }

    public String getBriefIntroductionPic() {
        return briefIntroductionPic;
    }

    public void setBriefIntroductionPic(String briefIntroductionPic) {
        this.briefIntroductionPic = briefIntroductionPic;
    }

    public String getBriefIntroduction() {
        return briefIntroduction;
    }

    public void setBriefIntroduction(String briefIntroduction) {
        this.briefIntroduction = briefIntroduction;
    }

    public String getClassAdvantages() {
        return classAdvantages;
    }

    public void setClassAdvantages(String classAdvantages) {
        this.classAdvantages = classAdvantages;
    }

    public LocalDateTime getIndate() {
        return indate;
    }

    public void setIndate(LocalDateTime indate) {
        this.indate = indate;
    }

    public String getHeadIntroduction() {
        return headIntroduction;
    }

    public void setHeadIntroduction(String headIntroduction) {
        this.headIntroduction = headIntroduction;
    }

    public Integer getIsDelete() {
        return isDelete;
    }

    public void setIsDelete(Integer isDelete) {
        this.isDelete = isDelete;
    }

    public String getChargingStandard() {
        return chargingStandard;
    }

    public void setChargingStandard(String chargingStandard) {
        this.chargingStandard = chargingStandard;
    }

    public String getCity() {
        return city;
    }

    public void setCity(String city) {
        this.city = city;
    }

    @Override
    protected Serializable pkVal() {
        return this.id;
    }

    @Override
    public String toString() {
        return "InstitutionalInformation{" +
        "id=" + id +
        ", name=" + name +
        ", phone=" + phone +
        ", address=" + address +
        ", sysId=" + sysId +
        ", lng=" + lng +
        ", lat=" + lat +
        ", amTime=" + amTime +
        ", pmTime=" + pmTime +
        ", briefIntroductionPic=" + briefIntroductionPic +
        ", briefIntroduction=" + briefIntroduction +
        ", classAdvantages=" + classAdvantages +
        ", indate=" + indate +
        ", headIntroduction=" + headIntroduction +
        ", isDelete=" + isDelete +
        ", chargingStandard=" + chargingStandard +
        ", city=" + city +
        "}";
    }
}
