package com.hssx.bms.service.impl;

import com.hssx.bms.entity.InstitutionalPic;
import com.hssx.bms.mapper.InstitutionalPicMapper;
import com.hssx.bms.service.InstitutionalPicService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.hssx.bms.until.HttpRespMsg;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Service;
import org.springframework.web.multipart.MultipartFile;

import javax.annotation.Resource;
import java.io.File;
import java.io.IOException;
import java.util.UUID;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author 吴涛涛
 * @since 2019-10-15
 */
@Service
public class InstitutionalPicServiceImpl extends ServiceImpl<InstitutionalPicMapper, InstitutionalPic> implements InstitutionalPicService {
    @Value("${upload.path}")
    private String path;
    @Resource
    private InstitutionalPicMapper institutionalPicMapper;
    @Override
    public HttpRespMsg institutionalPicService(Integer id, MultipartFile[] file) {
        HttpRespMsg msg = new HttpRespMsg();
        InstitutionalPic pic = new InstitutionalPic();
        pic.setInformationId(id);
        for (MultipartFile multipartFile : file) {
            if (multipartFile != null) {
                File dir = null;
                dir = new File(path);
                // D://dolphin/upload 文件上传后所存储的位置,部署到服务器上时配置服务器地址即可
                if (!dir.exists()) {
                    dir.mkdirs();
                }
                String fileName = "";
                if (file != null) {
                    fileName = multipartFile.getOriginalFilename();
                    System.out.println("上传文件名称" + multipartFile.getName() + "， dir = " + dir.getAbsolutePath());
                    int pos = fileName.lastIndexOf(".");
                    String rand = UUID.randomUUID().toString().replaceAll("-", "");
                    String sufix = fileName.substring(pos);
                    fileName = rand + sufix;
                    pic.setPicUrl("/upload/"+fileName);
                    File saveFile = new File(dir, fileName);
                    try {
                        saveFile.createNewFile();
                        multipartFile.transferTo(saveFile);
                    } catch (IOException e) {
                        e.printStackTrace();
                    } catch (Exception e) {
                        e.printStackTrace();
                    }
                }
                institutionalPicMapper.insert(pic);
            }
        }
        return msg;
    }
}
