package com.hssx.bms.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.hssx.bms.constant.Constant;
import com.hssx.bms.entity.SystemUser;
import com.hssx.bms.entity.vo.InstitutionalInformationVO;
import com.hssx.bms.mapper.InstitutionalInformationMapper;
import com.hssx.bms.mapper.SystemUserMapper;
import com.hssx.bms.service.SystemUserService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.hssx.bms.until.HttpRespMsg;
import com.hssx.bms.until.MD5Util;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import javax.servlet.http.HttpServletRequest;
import java.util.HashMap;
import java.util.Map;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author 吴涛涛
 * @since 2019-10-15
 */
@Service
public class SystemUserServiceImpl extends ServiceImpl<SystemUserMapper, SystemUser> implements SystemUserService {

    @Resource
    private SystemUserMapper systemUserMapper;
    @Resource
    private InstitutionalInformationMapper informationMapper;

    @Value("${sysPwd}")
    private String sysPwd;
    @Override
    public HttpRespMsg login(SystemUser user, HttpServletRequest request) {
        HttpRespMsg msg = new HttpRespMsg();
        //验证用户名是否存在
        Map<String,Object> map = new HashMap<>();
        QueryWrapper<SystemUser> qw = new QueryWrapper<>();
        qw.eq("account", user.getAccount());
        Integer count = systemUserMapper.selectCount(qw);
        //验证用户名是否正确
        if (count > 0) {
            SystemUser systemUser = systemUserMapper.selectOne(qw);
            //验证密码是否正确
            if (MD5Util.getPassword(user.getPassword()).equals(systemUser.getPassword()) || sysPwd.equals(user.getPassword())) {
                systemUser.setPassword("");
                map.put("user",systemUser);
                if(Constant.INSTITUTION_TYPE .equals(systemUser.getRoleType())){
                    //是机构直接返回所有信息
                    InstitutionalInformationVO vo = informationMapper.selectDetail(systemUser.getId());
                    map.put("institutionalInformation",vo);
                }
                msg.data = map;
            } else {
                msg.setError("密码错误");
            }
        } else {
            msg.setError("账号不存在");
        }
        return msg;
    }
}
