package com.hssx.bms.until;

import net.lingala.zip4j.core.ZipFile;
import net.lingala.zip4j.exception.ZipException;
import net.lingala.zip4j.model.FileHeader;

import java.io.File;
import java.util.List;
import java.util.Scanner;

/**
 * Author: 吴涛涛 cuiyi@itany.com
 * Date : 2019 - 10 - 18 11:15
 * Description:<描述>
 * Version: 1.0
 */
public class Zip4jUtil {
    public static void main(String[] args) throws ZipException, InterruptedException {
        Unzip4j1("D:\\666.zip","D:\\111");
    }

    // 解压方法2
    public static void Unzip4j1(String zipFile,String folderPath) throws ZipException, InterruptedException {
        long startTime = System.currentTimeMillis();
        File folder = new File(folderPath);
        deleteDir(folder);
//        Thread.sleep(100000);
        ZipFile zipFile2 = new ZipFile(zipFile);
        //设置编码格式
        zipFile2.setFileNameCharset("GBK");
        if (!zipFile2.isValidZipFile()) {
            throw new ZipException("文件不合法或不存在");
        }
        //检查是否需要密码
//        checkEncrypted(zipFile2);
        List<FileHeader> fileHeaderList = zipFile2.getFileHeaders();
        for (int i = 0; i < fileHeaderList.size(); i++) {
            FileHeader fileHeader = fileHeaderList.get(i);
            System.out.println("  fileHeader.getFileName();"+  fileHeader.getFileName());
            zipFile2.extractFile(fileHeader, folderPath);
        }
        System.out.println("解压成功！");
        long endTime = System.currentTimeMillis();
        System.out.println("耗时：" + (endTime - startTime) + "ms");
    }

    //检测密码
    private void checkEncrypted(ZipFile zip) throws ZipException {
        Scanner in=new Scanner(System.in);
        if (zip.isEncrypted()) {
            System.out.println("文件"+zip.getFile().getName()+"有密码！");
            System.out.println("请输入密码：");
            zip.setPassword(in.next().trim());
        }
        in.close();
    }

    private static boolean deleteDir(File dir) {
        if (dir.isDirectory()) {
            String[] children = dir.list();
            if (children != null && children.length > 0) {
                // 递归删除目录中的子目录下
                for (int i = 0; i < children.length; i++) {
                    boolean success = deleteDir(new File(dir, children[i]));
                    if (!success) {
                        return false;
                    }
                }
            }
        }
        // 目录此时为空，可以删除
        return dir.delete();
    }
}
