import Vue from 'vue'
import App from './App'

import VueRouter from 'vue-router'

import ElementUI from 'element-ui'
import 'element-ui/lib/theme-chalk/index.css'

import store from './vuex/store'
import Vuex from 'vuex'
import routes from './routes'

import http from './http'
Vue.prototype.http = http

import port from './port'
Vue.prototype.port = port

import echarts from 'echarts'
Vue.prototype.echarts = echarts

import VueClipboard from 'vue-clipboard2'
Vue.use(VueClipboard)

import 'font-awesome/css/font-awesome.min.css'
import './assets/iconfont/iconfont.css'

Vue.use(ElementUI)
Vue.use(VueRouter)
Vue.use(Vuex)

const router = new VueRouter({
    routes
})


router.beforeEach((to, from, next) => {
    if (to.path == '/login') {
        sessionStorage.removeItem('user');
    }

    let user = JSON.parse(sessionStorage.getItem('user'));
    if (!user && to.path != '/login') {
        next({ path: '/login' })
    } else {
        if(user) {
            for(var i in routes) {
                if(routes[i].name == "图书管理" || routes[i].name == "系统管理") {
                    if(user.roleType == 0) {
                        routes[i].hidden = false
                    } else {
                        routes[i].hidden = true
                    }
                }

                if(routes[i].name == "机构详情") {
                    if(user.roleType == 0) {
                        routes[i].hidden = true
                    } else {
                        routes[i].hidden = false
                    }
                }

                if(routes[i].name == "培训机构") {
                    if(user.roleType == 0) {
                        routes[i].hidden = false
                    } else {
                        routes[i].hidden = true
                    }
                }
            }
        }
    }


    // let user = JSON.parse(sessionStorage.getItem('user'));
    // if (!user && to.path != '/login') {
    //     next({ path: '/login' })
    // } else {
    //     if(user){
    //         for(var i in routes){
    //             if(routes[i].name == "基础管理" && user.parentId != 0){
    //                 routes[i].hidden = true
    //             } else if(routes[i].name == "基础管理"){
    //                 routes[i].hidden = false
    //             }
                
    //             if(routes[i].name == "项目管理" && user.parentId > 1){
    //                 var children = routes[i].children;
    //                 for(var j in children){

    //                     if(children[j].name == "人员管理"){
    //                         if(user.isManager == 0){
    //                             children[j].hidden = true
    //                         } else {
    //                             children[j].hidden = false
    //                         }
    //                     }

    //                     if(children[j].name == "权限管理"){
    //                         if(user.isManager == 0){
    //                             children[j].hidden = true
    //                         } else {
    //                             children[j].hidden = false
    //                         }
    //                     }
    //                 }
    //             } else if(routes[i].name == "项目管理") {
    //                 var children = routes[i].children;
    //                 for(var j in children){
    //                     if(children[j].name != "项目详情"){
    //                         children[j].hidden = false
    //                     }
                        
    //                     if(children[j].name == "权限管理"){
    //                         if((user.parentId == 0 || user.parentId == 1) && user.isManager == 0){
    //                             children[j].hidden = true
    //                         }
    //                     }
    //                 }
    //             }
    //         }
    //     }
    //     next()
    // }
    next()
})

new Vue({
    router,
    store,
    render: h => h(App)
}).$mount('#app')

