import Login from './views/Login.vue'
import NotFound from './views/404.vue'
import Home from './views/Home.vue'

import agency from './views/agency/agencyList.vue'
import agencyDetail from './views/agency/agencyDetail.vue'

import course from './views/course/courseList.vue'
import courseDetail from './views/course/courseDetail.vue'

import book from './views/book/bookList.vue'
import bookDetail from './views/book/bookDetail.vue'

import user from './views/user/user.vue'
import reserve from './views/user/reserve.vue'

import manage from './views/system/manage.vue'
import vip from './views/system/vip.vue'

let routes = [
    {
        path: '/login',
        component: Login,
        name: '',
        hidden: true
    },
    //培训机构
    {
        path: '/',
        component: Home,
        name: '培训机构',
        iconCls: 'iconfont iconpeixunjigou',
        leaf: true,//只有一个节点
        children: [
            { path: '/agency', component: agency, name: '培训机构' },
            { path: '/agency/:id', component: agencyDetail, name: '机构详情', hidden: true }
        ]
    },
    //培训机构
    {
        path: '/',
        component: Home,
        name: '机构详情',
        iconCls: 'iconfont iconpeixunjigou',
        leaf: true,//只有一个节点
        children: [
            { path: '/agencyDetail', component: agencyDetail, name: '机构详情', hidden: true }
        ]
    },
    //课程管理
    {
        path: '/',
        component: Home,
        name: '课程管理',
        iconCls: 'iconfont iconkecheng',
        leaf: true,//只有一个节点
        children: [
            { path: '/course', component: course, name: '课程管理' },
            { path: '/course/:id', component: courseDetail, name: '课程详情', hidden: true }
        ]
    },
    //图书管理
    {
        path: '/',
        component: Home,
        name: '图书管理',
        iconCls: 'iconfont iconic_local_library_px',
        leaf: true,//只有一个节点
        children: [
            { path: '/book', component: book, name: '图书管理' },
            { path: '/book/:id', component: bookDetail, name: '图书详情', hidden: true }
        ]
    },
    //用户管理
    {
        path: '/',
        component: Home,
        name: '用户管理',
        iconCls: 'iconfont iconyonghu',
        children: [
            // { path: '/user', component: user, name: '用户列表' },
            { path: '/reserve', component: reserve, name: '预约用户' }
        ]
    },
    //系统管理
    {
        path: '/',
        component: Home,
        name: '系统管理',
        iconCls: 'iconfont iconsetting-fill',
        children: [
            { path: '/manage', component: manage, name: '机构管理' },
            { path: '/vip', component: vip, name: '会员设置' }
        ]
    },
    {
        path: '/404',
        component: NotFound,
        name: '',
        hidden: true
    },
    {
        path: '*',
        hidden: true,
        redirect: { path: '/404' }
    }
];

export default routes;
